删除分派策略
curl --request POST \
--url 'https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"channel_id": 3521074710131,
"rule_id": "6621b23f4a2c5e0012ab34cd"
}
'import requests
url = "https://api.flashcat.cloud/channel/escalate/rule/delete?app_key="
payload = {
"channel_id": 3521074710131,
"rule_id": "6621b23f4a2c5e0012ab34cd"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({channel_id: 3521074710131, rule_id: '6621b23f4a2c5e0012ab34cd'})
};
fetch('https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'channel_id' => 3521074710131,
'rule_id' => '6621b23f4a2c5e0012ab34cd'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/channel/escalate/rule/delete?app_key="
payload := strings.NewReader("{\n \"channel_id\": 3521074710131,\n \"rule_id\": \"6621b23f4a2c5e0012ab34cd\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"channel_id\": 3521074710131,\n \"rule_id\": \"6621b23f4a2c5e0012ab34cd\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"channel_id\": 3521074710131,\n \"rule_id\": \"6621b23f4a2c5e0012ab34cd\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"data": {}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "AccessDenied",
"message": "Access Denied."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
}
}分派策略
删除分派策略
删除已禁用的分派策略,使其不再出现在协作空间的策略列表中。
POST
/
channel
/
escalate
/
rule
/
delete
删除分派策略
curl --request POST \
--url 'https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"channel_id": 3521074710131,
"rule_id": "6621b23f4a2c5e0012ab34cd"
}
'import requests
url = "https://api.flashcat.cloud/channel/escalate/rule/delete?app_key="
payload = {
"channel_id": 3521074710131,
"rule_id": "6621b23f4a2c5e0012ab34cd"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({channel_id: 3521074710131, rule_id: '6621b23f4a2c5e0012ab34cd'})
};
fetch('https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'channel_id' => 3521074710131,
'rule_id' => '6621b23f4a2c5e0012ab34cd'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/channel/escalate/rule/delete?app_key="
payload := strings.NewReader("{\n \"channel_id\": 3521074710131,\n \"rule_id\": \"6621b23f4a2c5e0012ab34cd\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"channel_id\": 3521074710131,\n \"rule_id\": \"6621b23f4a2c5e0012ab34cd\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/channel/escalate/rule/delete?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"channel_id\": 3521074710131,\n \"rule_id\": \"6621b23f4a2c5e0012ab34cd\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"data": {}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "AccessDenied",
"message": "Access Denied."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
}
}限制说明
| 项目 | 说明 |
|---|---|
| 速率限制 | 每个账户 300 次/分钟;20 次/秒 |
| 权限要求 | 协作空间管理(on-call) |
使用说明
- 仅
disabled状态的策略可删除,其他状态返回InvalidParameter。 - 策略为软删除:不再出现在列表中,但
POST /channel/escalate/rule/info仍可查到,status为deleted。 channel_id或rule_id不存在时返回InvalidParameter。- 调用者还必须拥有该协作空间的编辑权:账户所有者或管理员、协作空间创建者,或其管理团队成员(
managing_team_ids为空时为所属团队成员),否则返回AccessDenied。 - 每次调用都会记录到账户审计日志。
授权
请求体
application/json
此页面对您有帮助吗?